Package org.h2gis.functions.spatial.properties

## Class ST_Is3D

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_Is3D

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Is3D
    extends org.h2gis.api.DeterministicScalarFunction

Returns 1 if a geometry has a z-coordinate, otherwise 0. Implements the SQL/MM Part 3: Spatial 5.1.3

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Is3D()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static int` `is3D​(org.locationtech.jts.geom.Geometry geom)` Returns 1 if a geometry has a z-coordinate, otherwise 0.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Is3D

    public ST_Is3D()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### is3D

    public static int is3D​(org.locationtech.jts.geom.Geometry geom)
                    throws IOException

Returns 1 if a geometry has a z-coordinate, otherwise 0.

Parameters:
  `geom` -
Returns:
Throws:
  `IOException`